Notes on the documentation

This description is only intended for the use of trained specialists in control and automation engineering who are familiar with the applicable national standards.
It is essential that the following notes and explanations are followed when installing and commissioning these components.

The responsible staff must ensure that the application or use of the products described satisfy all the requirements for safety, including all the relevant laws, regulations, guidelines and standards.

Disclaimer

The documentation has been prepared with care. The products described are, however, constantly under development.
For that reason the documentation is not in every case checked for consistency with performance data, standards or other characteristics.
In the event that it contains technical or editorial errors, we retain the right to make alterations at any time and without warning.
No claims for the modification of products that have already been supplied may be made on the basis of the data, diagrams and descriptions in this documentation.

Trademarks

Beckhoff®, TwinCAT®, EtherCAT®, Safety over EtherCAT®, TwinSAFE® and XFC® are registered trademarks of and licensed by Beckhoff Automation GmbH.
Other designations used in this publication may be trademarks whose use by third parties for their own purposes could violate the rights of the owners.

Patent Pending

The TwinCAT Technology is covered, including but not limited to the following patent applications and patents:
EP0851348, US6167425 with corresponding applications or registrations in various other countries.

Copyright

© Beckhoff Automation GmbH & Co. KG, Germany.
The reproduction, distribution and utilization of this document as well as the communication of its contents to others without express authorization are prohibited.
Offenders will be held liable for the payment of damages. All rights reserved in the event of the grant of a patent, utility model or design.


Overview

TwinCAT PLC HMI CE is a system needed for the execution of visualizations on BECKHOFF CE-based devices generated in TwinCAT PLC Control.

If a control program contains associated visualisations these are displayed in full screen mode when the TwinCAT PLC HMI CE is avalable on CE based systems.

The user can operate the control and monitoring functions contained in the underlying project via the mouse or the keyboard. This is possible even if the TwinCAT PLC project file is read-protected. However, the user cannot edit the control program and no menus or toolbars are available, i.e. only pure 'operation' of the visualisation elements is available.

The main control and monitoring functions for a project intended for the operator version therefore have to be associated with the visualisation elements during project creation and operated in online mode. A special input facility is available for this purpose in the configuration dialog for a visualisation element.

By seamlessly integrating the development platform for the visualisation masks into the PLC programming system TwinCAT PLC HMI CE offers advantages other visualisations simply cannot come up to:

• A tag list of the variables to be used is not needed. It is possible to work directly with the TwinCAT PLC Control variables.

• Variable values in input fields can be modified by expressions (e.g. “Variable1+ Variable2 * 12 + 5”)

• A mighty place-holder concept allows the user to create object-oriented masks.


Installation, Start and Operating

1. General

  • The "TwinCAT PLC HMI CE" can be ordered pre-installed on Beckhoff CE devices.
  • "TwinCAT PLC HMI CE" - a product of BECKHOFF, Germany - is a visualization package for the Beckhoff devices based on operating system CE.

2. Product Description

Full description of functionality and full documentation is available under TwinCAT PLC Control, "Visualisierung"

3. Prerequisites

The ""TwinCAT PLC HMI CE" needs

  • a CE device withat least 128 RAM.
  • a CE based image HMI V1.90 or higher.
  • For designing user interfaces TwinCAT V2.10 Build 1242 (or higher) is required on the host-pc.

4. License

"TwinCAT PLC HMI CE" Visualization is not for free, but instead a runtime license per CPU.

4.1 Preinstalled on CE device/ License

If ordered as described above, the "TwinCAT PLC HMI CE" is already pre-installed and ready to use on the CE device - it contains a valid license.

4.2 Installation of TwinCAT PLC HMI CE

The installation file "TwinCAT_PLC_HMI_CE.xxxx.CAB" is to be executed via regular double-click on it.

ATTENTION:

  • For CE-X86 based devices please use "TwinCAT_PLC_HMI_CE.I586.CAB" file
  • For CE-ARM based devices please use "TwinCAT_PLC_HMI_CE.ARM.CAB" file

NOTE:

  • As target directory, the pre-selected (default) directory "\hard disk" has to be confirmed with "OK"!
  • After confirmation with "OK", the installation into the correct target folder gets executed:.

  • After installation of the component into the correct target folder "\hard disk" the installation file "TwinCAT_PLC_HMI_CE.xxxx.CAB" gets removed automatically.

  • Please suspend the CE device once after installation by shutting it down via "Start-> Suspend". Then - and only then -, the settings will be saved into the registry on the CE device Compact Flash.
  • Configuration of Target Visu is done in TwinCAT PLC Control

5. Configuration

Configuration of "TwinCAT PLC HMI CE" is done in TwinCAT PLC Control. After designing the UI screens in the PLC-Control the download to device has to be activated once.
Activation is done in PLC Control : Select menu "Project" , "Options..." and area TwinCAT. Check "Enable CE Target Visualization".

NOTE : "TwinCAT PLC HMI CE" Visualization is not for free, but instead a runtime license per CPU.

The screen resolution is defined in the file "C:\TwinCAT\PLC\TwinCAT PLC Control.ini"

[TwinCAT PLC Control]
VisuWidth=640
VisuHeight=480


Feature Overview

TS1800 | TwinCAT PLC HMI

Feature overview of visualisation with TwinCAT

It is shown in this table which possibilities the visualisation offers with TwinCAT.

 | PLC Control | PLC HMI | PLC HMI Web | PLC HMI CE | Comment
Current test version: | Build 1010 | 2.10.0.900 | 1.0.0.7 | 1.0.9.10 | From TwinCAT 2.10 Build 1334
Rectangle |  |  |  |  |
Rounded rectangle |  |  |  |  |
Ellipse |  |  |  |  |
Polygon |  |  |  |  |
Curve |  |  |  |  |
Pie |  |  |  |  |
Bitmap |  |  |  |  |
Visaualisation |  |  |  |  |
Button |  |  |  |  |
WMF/JPG File |  |  |  |  |
Table |  |  |  |  |
ActiveX element |  |  |  |  |
Trend |  |  |  | / | HMI CE: Only online trend is available
Alarm table |  |  |  |  |
Meter |  |  |  |  |
Bar display |  |  |  |  |
Histogram |  |  |  |  |
Invisible elements |  |  |  |  |
Change color |  |  |  |  |
Background bitmap |  |  |  |  |
Button background |  |  |  |  |
Tooltip |  |  |  |  | HMI CE: Elements not too near to the edge or tooltip is outside the window
Security |  |  |  |  |
Placeholder |  |  | / | / | Web/HMI CE: Zoom to visu with placeholders in the zoom command is not possible
Print function |  |  |  |  |
Password change |  |  |  |  |
Change user level |  |  |  |  |
Language dialog |  |  |  |  |
Language automatic change |  |  |  |  |
Exit |  |  |  |  |
Trace |  |  |  |  |
Text input 'Text' |  |  |  |  | Web: Please don't exceed the maximum string length of your variable HMI CE: The hidden function is not supported
Text input 'Numpad' |  |  |  |  | HMI CE: The hidden function is not supported
Text input 'Keypad' |  |  |  |  | Web: Please don't exceed the maximum string length of your variable HMI CE: The hidden function is not supported

Restrictions


Restrictions

Intern commands

PRINT
Printout of the current visualization is not possible.

EXITPROGRAM
This command is not supported.

TRACE
This command for opening the Sampling Trace window is not supported.

SAVEPROJECT
This command for saving the project is not usable for the Target-Visualization.

Grafic formats

In the Target-Visualization currently only simple bitmaps are supported. Not yet supported formats: .jpg, .tif, .ico
The format .jpg is supported from version 1.0.9 of the TargetVisu DLL.

Others

Slider in Table
The slider for scrolling is not displayed.

Texts
 Texts exceeding the borders of an element currently do not get clipped.

Alarm handling
TheAlarming is not supported.

Trend
The Online Trend is supported from Version 1.0.8 (without history).

Place holder
The delivery of parameter to replace placeholder at the call is not supported.
Example:
<Visuname>(<Placeholder1>:=<Text1>, <Placeholder2>:=<Text2>,..., <Placeholder n>:=<Textn>)

VAR_IN_OUT
It is not possible to use VAR_IN_OUT variables in TwinCAT HMI CE.

Visu-Side
It is not possible to use the scroll bar in the HMI CE on your visualisation side.